Bug 252463 - Scim could not execute after yum update
Scim could not execute after yum update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 01:51 EDT by ZipanChen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.4.7-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-17 08:37:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg result (55.69 KB, text/plain)
2007-08-16 03:22 EDT, ZipanChen
no flags Details

  None (edit)
Description ZipanChen 2007-08-16 01:51:44 EDT
How reproducible:
When I done yum update today and reboot the computer, scim would not load
automatic when I login to GNOME.
I try to type "scim" on gnome-terminal and it return "Segmentation fault". Below
is the result of scim-*.

scim
Segmentation fault

scim-config-agent
Segmentation fault

scim-make-table
Segmentation fault

scim-setup
/usr/bin/scim-setup: line 32:  6006 Segmentation fault     
/usr/lib64/scim-1.0/scim-helper-launcher setup
8034d025-bdfc-4a10-86a4-82b9461b32b0 $*

scim-bridge
Segmentation fault

scim-input-pad
/usr/bin/scim-input-pad: line 32:
/usr/lib/scim-1.0/1.4.0/../scim-helper-launcher: No such file or directory

scim-restart
Nothing

Steps to Reproduce:
1. Install Fedora 8 Test 1 (x86_64)
2. Do yum update
3. Reboot

Additional info:
yum list | grep scim
scim.x86_64                              1.4.7-1.fc8            installed       
scim-anthy.x86_64                        1.2.4-1.fc8            installed       
scim-bridge.x86_64                       0.4.13-2.fc8           installed       
scim-bridge-gtk.i386                     0.4.13-2.fc8           installed       
scim-bridge-gtk.x86_64                   0.4.13-2.fc8           installed       
scim-chewing.x86_64                      0.3.1-9.fc7            installed       
scim-gtk.x86_64                          1.4.7-1.fc8            installed       
scim-hangul.x86_64                       0.3.1-1.fc7            installed       
scim-input-pad.x86_64                    0.1.1-7.fc7            installed       
scim-input-pad.i386                      0.1.1-7.fc7            installed       
scim-libs.x86_64                         1.4.7-1.fc8            installed       
scim-libs.i386                           1.4.7-1.fc8            installed       
scim-m17n.x86_64                         0.2.2-1.fc8            installed       
scim-pinyin.x86_64                       0.5.91-19.fc8          installed       
scim-sinhala.x86_64                      0.2.0-2.fc6            installed       
scim-tables.x86_64                       0.5.7-3.fc7            installed       
scim-tables-chinese.x86_64               0.5.7-3.fc7            installed       
scim-bridge-qt.x86_64                    0.4.13-2.fc8           development     
scim-bridge-qt4.x86_64                   0.4.13-2.fc8           development     
scim-devel.x86_64                        1.4.7-1.fc8            development     
scim-devel.i386                          1.4.7-1.fc8            development     
scim-doc.x86_64                          1.4.7-1.fc8            development     
scim-fcitx.x86_64                        3.1.1-6.fc6            development     
scim-fcitx-tools.x86_64                  3.1.1-6.fc6            development     
scim-lang-assamese.x86_64                1.4.7-1.fc8            development     
scim-lang-bengali.x86_64                 1.4.7-1.fc8            development     
scim-lang-chinese.x86_64                 1.4.7-1.fc8            development     
scim-lang-dhivehi.x86_64                 1.4.7-1.fc8            development     
scim-lang-farsi.x86_64                   1.4.7-1.fc8            development     
scim-lang-gujarati.x86_64                1.4.7-1.fc8            development     
scim-lang-hindi.x86_64                   1.4.7-1.fc8            development     
scim-lang-japanese.x86_64                1.4.7-1.fc8            development     
scim-lang-kannada.x86_64                 1.4.7-1.fc8            development     
scim-lang-korean.x86_64                  1.4.7-1.fc8            development     
scim-lang-latin.x86_64                   1.4.7-1.fc8            development     
scim-lang-malayalam.x86_64               1.4.7-1.fc8            development     
scim-lang-marathi.x86_64                 1.4.7-1.fc8            development     
scim-lang-oriya.x86_64                   1.4.7-1.fc8            development     
scim-lang-punjabi.x86_64                 1.4.7-1.fc8            development     
scim-lang-sinhalese.x86_64               1.4.7-1.fc8            development     
scim-lang-tamil.x86_64                   1.4.7-1.fc8            development     
scim-lang-telugu.x86_64                  1.4.7-1.fc8            development     
scim-lang-thai.x86_64                    1.4.7-1.fc8            development     
scim-lang-tibetan.x86_64                 1.4.7-1.fc8            development     
scim-qtimm.i386                          0.9.4-8.fc8            development     
scim-qtimm.x86_64                        0.9.4-8.fc8            development     
scim-skk.x86_64                          0.5.2-8.fc6            development     
scim-tables-additional.x86_64            0.5.7-3.fc7            development     
scim-tables-amharic.x86_64               0.5.7-3.fc7            development     
scim-tables-arabic.x86_64                0.5.7-3.fc7            development     
scim-tables-nepali.x86_64                0.5.7-3.fc7            development     
scim-tables-russian.x86_64               0.5.7-3.fc7            development     
scim-tables-thai.x86_64                  0.5.7-3.fc7            development     
scim-tables-vietnamese.x86_64            0.5.7-3.fc7            development     
scim-tomoe.x86_64                        0.6.0-1.fc8            development
Comment 1 Jens Petersen 2007-08-16 01:56:27 EDT
Hmmm so many IMEs you have installed.  Which one do you actually use?
As a first suspect you might want to try removing scim-fcitx.
But I would try removing most of the packages and just trying with one
or two that are known to work well (eg scim-anthy and scim-pinyin say)
and testing those first.
Comment 2 ZipanChen 2007-08-16 02:09:29 EDT
I removed scim-anthy and scim-pinyin. Same problem.

rpm -qa | grep scim
scim-input-pad-0.1.1-7.fc7
scim-bridge-0.4.13-2.fc8
scim-hangul-0.3.1-1.fc7
scim-bridge-gtk-0.4.13-2.fc8
scim-tables-0.5.7-3.fc7
scim-gtk-1.4.7-1.fc8
scim-m17n-0.2.2-1.fc8
scim-chewing-0.3.1-9.fc7
scim-bridge-gtk-0.4.13-2.fc8
scim-1.4.7-1.fc8
scim-input-pad-0.1.1-7.fc7
scim-sinhala-0.2.0-2.fc6
scim-tables-chinese-0.5.7-3.fc7
scim-libs-1.4.7-1.fc8
scim-libs-1.4.7-1.fc8

scim works very well before yum update.
I think this is not a bug of scim, maybe some package conflict with scim.
How to check what packages was update on last yum update?
Comment 3 Jens Petersen 2007-08-16 02:28:40 EDT
Hmm - it is working fine for me on my f8 test machine.

A few more comments:

(In reply to comment #0)
> scim
> Segmentation fault

What does "rpm -V scim" output?

> scim-make-table
> Segmentation fault

That does not look good.

> scim-setup
> /usr/bin/scim-setup: line 32:  6006 Segmentation fault     
> /usr/lib64/scim-1.0/scim-helper-launcher setup
> 8034d025-bdfc-4a10-86a4-82b9461b32b0 $*
> 
> scim-bridge
> Segmentation fault
> 
> scim-input-pad
> /usr/bin/scim-input-pad: line 32:
> /usr/lib/scim-1.0/1.4.0/../scim-helper-launcher: No such file or directory

Strange, perhaps you have some prelink breakage or something?
Comment 4 ZipanChen 2007-08-16 02:34:35 EDT
rpm -V scim
No output...
Comment 5 ZipanChen 2007-08-16 03:22:26 EDT
Created attachment 161629 [details]
dmesg result
Comment 6 ZipanChen 2007-08-17 08:37:26 EDT
Fixed

Note You need to log in before you can comment on or make changes to this bug.